Developers
API ReferenceBoard Template

Retrieves a BoardTemplate resource

GET
/project/board-templates/{id}

Retrieves a BoardTemplate resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

BoardTemplate identifier

Response Body

BoardTemplate resource

  1. response
description?|
Lengthlength <= 100000
boardType?|null
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
taskDatesRelativeToBoard?boolean
id?string
Formatuuid
name?string
Lengthlength <= 100
isPublic?boolean
createdBy?|null
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/board-templates/string'
Example Response
{  "description": "string",  "boardType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  },  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "taskDatesRelativeToBoard": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isPublic": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorName": "string",    "jobPositionName": "string",    "canLogIn": true,    "isExternal": true  }}